/* load.c
 * 
 *  Source for data encoded from load.dat .
 *  Do not hand edit.
 */

#include <allegro.h>
#include <allegro/internal/aintern.h>



static DATAFILE_PROPERTY loading_prop[] = {
    { "9-22-2007, 22:04", DAT_ID('D', 'A', 'T', 'E') },
    { "loading", DAT_ID('N', 'A', 'M', 'E') },
    { "/home/traperic/Programacion/zpox/loading.bmp", DAT_ID('O', 'R', 'I', 'G') },
    { "0", DAT_ID('X', 'P', 'O', 'S') },
    { "180", DAT_ID('X', 'S', 'I', 'Z') },
    { "0", DAT_ID('Y', 'P', 'O', 'S') },
    { "18", DAT_ID('Y', 'S', 'I', 'Z') },
    { 0, DAT_END }
};

static unsigned char loading_lines[] = 
"\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xcf\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xcf\xcf\xff\xff\xff\xfc\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xcf\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xcf\xcf\x9a\xcf\xcf\xcf\x9a\xcf\xff\xcf""e\0\0\0\0\x9a\xff\xcf\xff\xcf\xff\xff\xff\xcf\xcf\xff\xff\xcf\x9a""ee\x9a""e\xcf\xcf\xff\xff\x9a\xcf\x9a\xcf\xcf\x9a\xcf\x9a\x9a\x9a\x9a\x9a"
    "\xff\x9a\x9a""e\x9a""e\x9a\xcf\xff\xff\xcf""e\0\0\0\0\x9a\xff\xff\xff\xff\xff\xff\xcf\xcf\xcf\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\xcf\x9a\xcf\xff\xcf\xcf\xff\xcf\xff\xcf\xcf"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xcf\xcf\xcf\xff\xff\xff\xff\xff\xcf""e\0\0\0\0\x9a\xff\xcf\x9a\xcf\x9a\x9a\xcf\xcf\xff\xcf\x9a""ee\x9a""e\xcf\xcf\xff\xff\x9a\xcf\x9a\xcf\xcf"
    "\xcf\xff\xff\xff\x9a\x9a\xcf\xcf\xff\xff\xff\x9a""0eee\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff""e\0\0\0\0\0\0""e\xff""e\0\0\0\0\0""0\xcf""000e\xff\x9a""0e0\xff\x9a\0\0\0\0\0\0""0\xff\xff""0\0\0\xcf\xcf\0\0\0\0\0\0\0"
    "\xcf\0\0\0\0\0\0\0\xcf\xff""e\0\0\0\0\0""0\xcf\0\0""0\xff\x9a\0\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\0\0\xcf\xcf""00e\0""e\0""e"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0\0""e\xff\xff\xff\xff\xff""e\0\0\0\0\0""0\xcf\x9a\0\0\0\0\0\0\xcf\x9a\0\0\0\0\0\0""0\xff\xff""0\0\0\xcf\xcf"
    "\0""0e\xff""0\0\0""e\xff\xff\x9a""0\0\0\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff""e\0\0\0\0\0\0\x9a\xcf\0\0\0\0\0\0\0""e0\0\0\0\xcf""0\0\0""0\xff\xcf\0\0\0\0\0\0\0\xcf\xff""e\0\0\xcf\xcf\0\0\0\0\0\0\0"
    "\xcf""0\0\0\0\0\0\0\x9a\xcf\0\0\0\0\0\0\0""ee\0\0\xcf""e\0\0""0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0\0\xcf\x9a\0\0\0\0\0""0\xcf"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0\0""e\xff\xff\xff\xff\xcf\0\0\0\0\0\0\0""e\x9a\0\0\0\0\0\0\xcf\xcf\0\0\0\0\0\0""0\xcf\xff""e\0\0\xcf\xff"
    "0\0""0\xff""e\0\0""e\xff\xcf\0\0\0\0\0""0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff""e0eee\0\0\xcf""e\0\0\0""0\0\0\0\x9a""0\0\0\0""e\0\0\0""e\xff\xff""e\0\0\x9a\x9a""0\0\x9a\xff""e\0""0\xff\xcf\0\0""0e\x9a""e0"
    "\xcf\x9a\0\0""0\x9a""e\0""ee\0\0\0""0\0\0\0\x9a\x9a\0\0\xcf""e\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0""0\xff""e\0\0""0000\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0\0\x9a\xff\xff\xff\xff""e\0\0\0""0\0\0\0\x9a\x9a\0\0\x9a""e\0\0\xff\xcf""0\0\0""e\x9a""0\0\x9a\xff""e\0""0\xff\xff"
    "0\0\0\xcf\x9a\0\0\x9a\xff\x9a\0\0\0""000\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xcf\xcf\xff\xff\x9a\0\0\xcf\xcf\0\0""0\xcf\x9a\0\0""e0\0\0\0""000\0""e\xff\xff""e\0\0\xcf\xff""0\0""e\xff""0\0""0\xff\xcf\0\0""e\xff\xff\xff\xcf"
    "\xff\x9a\0\0\x9a\xff""e\0""0\xcf\0\0""0\xcf\x9a\0\0""e\xcf\0\0\x9a""0\0""0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\0""0\xff""e\0\0""0\xff""e0\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0\0\xcf\xff\xff\xff\xff\xcf\0\0""0\xcf\x9a\0\0""e\x9a\0\0\xcf""e\0\0\xcf\xff""e\0\0\xcf\xff""0\0""e\xff""0\0""0\xff\xff"
    "0\0\0\x9a\x9a\0\0\x9a\xff""0\0\0\x9a\xcf\x9a\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\xff\xff\xcf""0\0""e\xff\x9a\0\0""e\xff\xff""0\0""00\0""0e\0""ee\0""e\xff\xff""0\0\0\xcf\xcf""00\xcf\xff""0\0""0\xff\x9a\0\0""e\xff\xff\xff\xff"
    "\xff\x9a\0\0\x9a\xff""e\0\x9a\x9a\0\0""e\xff\xff""0\0""0\xff""0\0\0\0\0""e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\0""0\xff\x9a\0\0""0\xff\xcf\x9a\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0\0\xcf\xff\xff\xff\xff\x9a\0\0""e\xff\xff""0\0""0e\0\0\xcf""e\0\0\x9a\xff""0\0\0\xcf\xcf""0\0\x9a\xff""0\0""0\xff\xcf"
    "\0\0\0""e\xcf\0\0""e\xff""0\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\xff\xff""0\0""0\xcf\xff\x9a\0\0""e\xff\xff""e\0\x9a""e\0""0\x9a\0\x9a""e\0""e\xff\xff""0\0""0\xcf\x9a\0""e\xff\xff""0\0""0\xff\x9a\0\0\x9a\xff\xff\xff\xff"
    "\xff""e\0\0\x9a\xcf""00\xff\x9a\0\0""e\xff\xff""e\0\x9a\xff""e\0\0\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\0""0\xff\xcf""0\0""0\xcf\xff\xcf\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0""0\xcf\xff\xff\xff\xff\x9a\0\0""e\xff\xff""e\0\x9a""e\0""0\xcf\x9a\0\0\x9a\xff""0\0""0\xff\xcf\0\0\xcf\xff""0\0""0\xff\xcf"
    "\0\0\0""0\xcf\0\0\x9a\xff""0\0""0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\xff\xff""00\x9a\xff\xff\xff""0\0\x9a\xff\xff""0\0\xcf""e\0""0\xff""0\x9a""e\0""0\xff\xff\x9a\0""00\0""e\xcf\xff\xff""e\0""e\xff\x9a\0\0""0\x9a\x9a""e\xff"
    "\xff\x9a\0\0""0\0""0\xcf\xff\xff""0\0\x9a\xff\xff""0\0\xcf\xff\xcf""0\0\0""0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0""e\xff\xff\xcf\0\0""0\xcf\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0""0\xff\xff\xff\xff\xff\xff""0\0\x9a\xff\xff""0\0\xcf""e\0""0\xff\xcf\0\0\xcf\xff""0\0""e\xff\x9a\0\0\xff\xff""e\0""e\xff\xcf"
    "0\0\x9a""0\xcf""0\0\x9a\xff""0\0""0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\xff\xcf\0""e\xff\xff\xff\xff""0\0""e\xff\xff""e\0""ee\0""0\xff""0\xcf""e\0""e\xff\xff\x9a\0""00\0""0\xcf\xff\xff\x9a\0""e\xff\xcf\0\0""0\0\0\0\xff"
    "\xff""0\0\0""0\x9a\xcf\xff\xff\xff""0\0""e\xff\xff""e\0""e\xff\xff\x9a\0""0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0""e\xff\xff\xcf""e\0\0\x9a\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0""0\xff\xff\xff\xff\xff\xff""0\0""e\xff\xff""e\0""e\x9a\0""00\0\0""0\xff\xff""e\0""e\xff\x9a\0""e\xff\xff\x9a\0""e\xff\xff"
    "0\0\x9a""ee0\0\xcf\xff""0\0\0\xcf""eee\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\xff\x9a\0""e\xff\xff\xff\xff""0\0""e\xff\xff""0\0\x9a\xcf\0""0\xff""e\xff\x9a\0\x9a\xff\xff\x9a\0\x9a\xcf""e\0""0\xcf\xff\x9a\0\x9a\xff\xcf\0\0\xcf\x9a\xcf\x9a\xff"
    "\xff\x9a\0""0\xff\xff\xff\xff\xff\xff""0\0""e\xff\xff""0\0\x9a\xff\xff\x9a\0""0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0\x9a\xff\xff\xff\xcf""0\0""0\xcf\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0""e\xff\xff\xff\xff\xff\xff""0\0""e\xff\xff""0\0\x9a\x9a\0\0""00\0""0\xff\xff""e\0""e\xff""e\0\xcf\xff\xff\x9a\0\x9a\xff\xff"
    "0\0\xcf\x9a""00\0\xcf\xff""e\0""0\x9a\0\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\xcf""00\xcf\xff\xff\xff\xff""e\0""e\xff\xcf\0""0\xff\xcf\0""e\xff\x9a\xff\x9a\0\x9a\xff\xff""e\0\x9a\xff\xcf\0\0\xcf\xff""e\0\x9a\xff\xcf\0\0\xff\xff\xff\xff\xff"
    "\xff\xcf\0""0\xff\xff\xff\xff\xff\xff""e\0""e\xff\xcf\0""0\xff\xff\xff""e\0\0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\0\x9a\xff\xff\xff\xff\xcf""0\0\xcf\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0""e\xff\xff\xff\xff\xff\xff""e\0""e\xff\xcf\0""0\xff\x9a\0""e\xcf\xff""00\xff\xff""e\0""ee\0""0\xcf\xff\xff""e\0\x9a\xff\xff"
    "0\0\xcf\xcf""0\0\0\xcf\xff""e\0""e\xcf\x9a""e\0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff\x9a\0""e\xff\xff\xff\xff\xff\xff""00\xcf\xcf\0""0\xff\xff""0e\xff\xcf\xff\x9a\0\x9a\xff\xff\x9a\0\x9a\xff\xcf\0""0\xcf\xff\x9a\0\x9a\xff\xff""00\xff\xff\xff\xff\xff"
    "\xff\xcf""00\xff\xff\xff\xff\xff\xff\xff""00\xcf\xcf\0""0\xff\xff\xcf""00\0""e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\0\x9a\xff\xff\xff\xff\xff\x9a""00\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\0""e\xff\xff\xff\xff\xff\xff\xff""00\xcf\xcf\0""0\xff\xcf\0\x9a\xff\xff""00\xff\xff\x9a\0\x9a""e\0\xcf\xff\xff\xff\x9a\0\x9a\xff\xff"
    "e\0\xcf\xff\x9a\0""0\xff\xff\x9a\0\0\xcf\xff\xcf\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xff""00\xcf\xff\xff\xff\xff\xff\xff""e\0\xcf\x9a\0\x9a\xff\xff""0e\xff\xff\xff\xcf""0\x9a\xff\xff\xcf\0\xcf\xff\x9a\0""e\xff\xff\xcf\0\xcf\xff\xff""ee\xff\xff\xff\xff\xff"
    "\xff\xff""0e\xff\xff\xff\xff\xff\xff\xff""e\0\xcf\x9a\0\x9a\xff\xff\x9a\0\x9a""e0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\0\xcf\xff\xff\xcf\xcf\xff\xff""0e\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\x9a\xff\xff\xff\xff\xff\xff\xff""e\0\xcf\x9a\0\x9a\xff\xff""0\x9a\xff\xff""ee\xff\xff\xcf\0""e\0""0\xcf\xff\xff\xff\xcf\0\xcf\xff\xff"
    "\x9a""0\xff\xff\xcf""0e\xff\xff\xcf""0\0\x9a\xff\x9a\0\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
"\xff\xcf\0""0\xff\xcf\x9a\x9a\xcf\xff\xff""e\0""00\0\xcf\xff\xff""0e\xff\xff\xff\xcf""0\xcf\xff\xff\xcf""0\xcf\xcf""ee\xcf\xff\xff\xcf""0\xff\xff\xff""ee\xcf\xcf\xcf\x9a\xcf"
    "\xff\xff""e\x9a\xff\xff\xff\xff\xff\xff\xff""e\0""00\0\xcf\xff\xcf""00\xff\xcf""0e\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf""0\xff\xff\xff\xcf""0\xcf\x9a""0e\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\xcf\xcf\xcf\xcf\x9a\xcf\xff\xff""e\0""00\0\xcf\xff\xff""0\xcf\xff\xff\x9a""e\xff\xff\xcf\0\0""0\xcf\xff\xff\xff\xff\xcf""0\xff\xff\xff"
    "\x9a""e\xff\xff\xff\x9a""e\xff\xff\xff\x9a\0""00\0\0\xcf\xcf""ee\xcf\xcf""ee\xcf\xcf""ee\xcf\xff"
"\xff\xcf\0\0\0\0""0\0\xcf\xff\xff\x9a""e\0\0""e\xff\xff\xff""e\x9a\xff\xff\xff\xcf""0\xff\xff\xff\xff""e\x9a""0e\x9a\xff\xff\xff\xff""e\xff\xff\xff""e\0\0\0\0""0e"
    "\xff\xff\x9a\x9a\xff\xff\xff\xff\xff\xff\xff\x9a""e\0\0""e\xff\xff""e0\xcf\xff\xff\xcf""0\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""e\xff\xff\xff\xcf""0\0\0\0""e\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff""0\0\0\0""0\0\xcf\xff\xff\x9a""e\0\0""e\xff\xff\xff""e\xff\xff\xff\x9a\x9a\xff\xff\xff""0\x9a\xff\xff\xff\xff\xff\xff\xff""e\xff\xff\xff"
    "\xcf""e\xff\xff\xff\x9a\x9a\xff\xff\xff\xff""0\0\0\0""e\xff\x9a\0\0\x9a\x9a\0\0\x9a\x9a\0\0\x9a\xff"
"\xff\xcf""e\x9a\x9a\x9a\xcf\x9a\xff\xff\xff\xff\xcf""0e\x9a\xff\xff\xff\xcf\xcf\xff\xff\xff\xff\x9a\xff\xff\xff\xff\x9a""0e\xcf\xff\xff\xff\xff\xff\xcf\xff\xff\xff\x9a\x9a\x9a""0\x9a\xcf\xcf"
    "\xff\xff\xcf\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xcf""0e\x9a\xff\xff""0\xcf\xff\xff\xff\xff\xcf""0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xff\xff\xff\xff""ee\x9a""0\xcf\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x9a\x9a\x9a""0\xcf\x9a\xcf\xff\xff\xff\xcf""0e\x9a\xff\xff\xff\xcf\xff\xff\xff\xcf\xcf\xff\xff\xff\x9a\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xff\xff\xff"
    "\xff\xcf\xff\xff\xff\xcf\xcf\xff\xff\xff\xff\xcf""e\xcf\xff\xff\xff\xcf""00\xff\xcf""00\xff\xcf""00\xff\xff"
"\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xff\xff\xff\xff\xff\xff\xcf\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xcf\xff\xff\xcf\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
    "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff"
;

static struct { int w, h; int clip; int cl, cr, ct, cb;
                GFX_VTABLE *vtable; void *write_bank; void *read_bank;
                void *dat; unsigned long id; void *extra;
                int x_ofs; int y_ofs; int seg; unsigned char *line[19]; } loading = {
    180, 18, /* width, height */
    0, 0, 0, 0, 0, /* clip */
    (GFX_VTABLE *)8, /* bpp */
    0, 0, /* write_bank, read_bank */
    loading_lines, /* data */
    0, 0, 0, 0, 0,
    { /* line[] array */
      loading_lines + 0,
      loading_lines + 180,
      loading_lines + 360,
      loading_lines + 540,
      loading_lines + 720,
      loading_lines + 900,
      loading_lines + 1080,
      loading_lines + 1260,
      loading_lines + 1440,
      loading_lines + 1620,
      loading_lines + 1800,
      loading_lines + 1980,
      loading_lines + 2160,
      loading_lines + 2340,
      loading_lines + 2520,
      loading_lines + 2700,
      loading_lines + 2880,
      loading_lines + 3060,
      0 }
};



static DATAFILE_PROPERTY loading_pal_prop[] = {
    { "9-22-2007, 22:04", DAT_ID('D', 'A', 'T', 'E') },
    { "loading_pal", DAT_ID('N', 'A', 'M', 'E') },
    { "/home/traperic/Programacion/zpox/loading.bmp", DAT_ID('O', 'R', 'I', 'G') },
    { 0, DAT_END }
};

static PALETTE loading_pal = {
    { 0, 0, 0, 0 }, /* 0 */
    { 0, 0, 0, 0 }, /* 1 */
    { 0, 0, 0, 0 }, /* 2 */
    { 0, 0, 0, 0 }, /* 3 */
    { 1, 1, 1, 0 }, /* 4 */
    { 1, 1, 1, 0 }, /* 5 */
    { 1, 1, 1, 0 }, /* 6 */
    { 1, 1, 1, 0 }, /* 7 */
    { 2, 2, 2, 0 }, /* 8 */
    { 2, 2, 2, 0 }, /* 9 */
    { 2, 2, 2, 0 }, /* 10 */
    { 2, 2, 2, 0 }, /* 11 */
    { 3, 3, 3, 0 }, /* 12 */
    { 3, 3, 3, 0 }, /* 13 */
    { 3, 3, 3, 0 }, /* 14 */
    { 3, 3, 3, 0 }, /* 15 */
    { 4, 4, 4, 0 }, /* 16 */
    { 4, 4, 4, 0 }, /* 17 */
    { 4, 4, 4, 0 }, /* 18 */
    { 4, 4, 4, 0 }, /* 19 */
    { 5, 5, 5, 0 }, /* 20 */
    { 5, 5, 5, 0 }, /* 21 */
    { 5, 5, 5, 0 }, /* 22 */
    { 5, 5, 5, 0 }, /* 23 */
    { 6, 6, 6, 0 }, /* 24 */
    { 6, 6, 6, 0 }, /* 25 */
    { 6, 6, 6, 0 }, /* 26 */
    { 6, 6, 6, 0 }, /* 27 */
    { 7, 7, 7, 0 }, /* 28 */
    { 7, 7, 7, 0 }, /* 29 */
    { 7, 7, 7, 0 }, /* 30 */
    { 7, 7, 7, 0 }, /* 31 */
    { 8, 8, 8, 0 }, /* 32 */
    { 8, 8, 8, 0 }, /* 33 */
    { 8, 8, 8, 0 }, /* 34 */
    { 8, 8, 8, 0 }, /* 35 */
    { 9, 9, 9, 0 }, /* 36 */
    { 9, 9, 9, 0 }, /* 37 */
    { 9, 9, 9, 0 }, /* 38 */
    { 9, 9, 9, 0 }, /* 39 */
    { 10, 10, 10, 0 }, /* 40 */
    { 10, 10, 10, 0 }, /* 41 */
    { 10, 10, 10, 0 }, /* 42 */
    { 10, 10, 10, 0 }, /* 43 */
    { 11, 11, 11, 0 }, /* 44 */
    { 11, 11, 11, 0 }, /* 45 */
    { 11, 11, 11, 0 }, /* 46 */
    { 11, 11, 11, 0 }, /* 47 */
    { 12, 12, 12, 0 }, /* 48 */
    { 12, 12, 12, 0 }, /* 49 */
    { 12, 12, 12, 0 }, /* 50 */
    { 12, 12, 12, 0 }, /* 51 */
    { 13, 13, 13, 0 }, /* 52 */
    { 13, 13, 13, 0 }, /* 53 */
    { 13, 13, 13, 0 }, /* 54 */
    { 13, 13, 13, 0 }, /* 55 */
    { 14, 14, 14, 0 }, /* 56 */
    { 14, 14, 14, 0 }, /* 57 */
    { 14, 14, 14, 0 }, /* 58 */
    { 14, 14, 14, 0 }, /* 59 */
    { 15, 15, 15, 0 }, /* 60 */
    { 15, 15, 15, 0 }, /* 61 */
    { 15, 15, 15, 0 }, /* 62 */
    { 15, 15, 15, 0 }, /* 63 */
    { 16, 16, 16, 0 }, /* 64 */
    { 16, 16, 16, 0 }, /* 65 */
    { 16, 16, 16, 0 }, /* 66 */
    { 16, 16, 16, 0 }, /* 67 */
    { 17, 17, 17, 0 }, /* 68 */
    { 17, 17, 17, 0 }, /* 69 */
    { 17, 17, 17, 0 }, /* 70 */
    { 17, 17, 17, 0 }, /* 71 */
    { 18, 18, 18, 0 }, /* 72 */
    { 18, 18, 18, 0 }, /* 73 */
    { 18, 18, 18, 0 }, /* 74 */
    { 18, 18, 18, 0 }, /* 75 */
    { 19, 19, 19, 0 }, /* 76 */
    { 19, 19, 19, 0 }, /* 77 */
    { 19, 19, 19, 0 }, /* 78 */
    { 19, 19, 19, 0 }, /* 79 */
    { 20, 20, 20, 0 }, /* 80 */
    { 20, 20, 20, 0 }, /* 81 */
    { 20, 20, 20, 0 }, /* 82 */
    { 20, 20, 20, 0 }, /* 83 */
    { 21, 21, 21, 0 }, /* 84 */
    { 21, 21, 21, 0 }, /* 85 */
    { 21, 21, 21, 0 }, /* 86 */
    { 21, 21, 21, 0 }, /* 87 */
    { 22, 22, 22, 0 }, /* 88 */
    { 22, 22, 22, 0 }, /* 89 */
    { 22, 22, 22, 0 }, /* 90 */
    { 22, 22, 22, 0 }, /* 91 */
    { 23, 23, 23, 0 }, /* 92 */
    { 23, 23, 23, 0 }, /* 93 */
    { 23, 23, 23, 0 }, /* 94 */
    { 23, 23, 23, 0 }, /* 95 */
    { 24, 24, 24, 0 }, /* 96 */
    { 24, 24, 24, 0 }, /* 97 */
    { 24, 24, 24, 0 }, /* 98 */
    { 24, 24, 24, 0 }, /* 99 */
    { 25, 25, 25, 0 }, /* 100 */
    { 25, 25, 25, 0 }, /* 101 */
    { 25, 25, 25, 0 }, /* 102 */
    { 25, 25, 25, 0 }, /* 103 */
    { 26, 26, 26, 0 }, /* 104 */
    { 26, 26, 26, 0 }, /* 105 */
    { 26, 26, 26, 0 }, /* 106 */
    { 26, 26, 26, 0 }, /* 107 */
    { 27, 27, 27, 0 }, /* 108 */
    { 27, 27, 27, 0 }, /* 109 */
    { 27, 27, 27, 0 }, /* 110 */
    { 27, 27, 27, 0 }, /* 111 */
    { 28, 28, 28, 0 }, /* 112 */
    { 28, 28, 28, 0 }, /* 113 */
    { 28, 28, 28, 0 }, /* 114 */
    { 28, 28, 28, 0 }, /* 115 */
    { 29, 29, 29, 0 }, /* 116 */
    { 29, 29, 29, 0 }, /* 117 */
    { 29, 29, 29, 0 }, /* 118 */
    { 29, 29, 29, 0 }, /* 119 */
    { 30, 30, 30, 0 }, /* 120 */
    { 30, 30, 30, 0 }, /* 121 */
    { 30, 30, 30, 0 }, /* 122 */
    { 30, 30, 30, 0 }, /* 123 */
    { 31, 31, 31, 0 }, /* 124 */
    { 31, 31, 31, 0 }, /* 125 */
    { 31, 31, 31, 0 }, /* 126 */
    { 31, 31, 31, 0 }, /* 127 */
    { 32, 32, 32, 0 }, /* 128 */
    { 32, 32, 32, 0 }, /* 129 */
    { 32, 32, 32, 0 }, /* 130 */
    { 32, 32, 32, 0 }, /* 131 */
    { 33, 33, 33, 0 }, /* 132 */
    { 33, 33, 33, 0 }, /* 133 */
    { 33, 33, 33, 0 }, /* 134 */
    { 33, 33, 33, 0 }, /* 135 */
    { 34, 34, 34, 0 }, /* 136 */
    { 34, 34, 34, 0 }, /* 137 */
    { 34, 34, 34, 0 }, /* 138 */
    { 34, 34, 34, 0 }, /* 139 */
    { 35, 35, 35, 0 }, /* 140 */
    { 35, 35, 35, 0 }, /* 141 */
    { 35, 35, 35, 0 }, /* 142 */
    { 35, 35, 35, 0 }, /* 143 */
    { 36, 36, 36, 0 }, /* 144 */
    { 36, 36, 36, 0 }, /* 145 */
    { 36, 36, 36, 0 }, /* 146 */
    { 36, 36, 36, 0 }, /* 147 */
    { 37, 37, 37, 0 }, /* 148 */
    { 37, 37, 37, 0 }, /* 149 */
    { 37, 37, 37, 0 }, /* 150 */
    { 37, 37, 37, 0 }, /* 151 */
    { 38, 38, 38, 0 }, /* 152 */
    { 38, 38, 38, 0 }, /* 153 */
    { 38, 38, 38, 0 }, /* 154 */
    { 38, 38, 38, 0 }, /* 155 */
    { 39, 39, 39, 0 }, /* 156 */
    { 39, 39, 39, 0 }, /* 157 */
    { 39, 39, 39, 0 }, /* 158 */
    { 39, 39, 39, 0 }, /* 159 */
    { 40, 40, 40, 0 }, /* 160 */
    { 40, 40, 40, 0 }, /* 161 */
    { 40, 40, 40, 0 }, /* 162 */
    { 40, 40, 40, 0 }, /* 163 */
    { 41, 41, 41, 0 }, /* 164 */
    { 41, 41, 41, 0 }, /* 165 */
    { 41, 41, 41, 0 }, /* 166 */
    { 41, 41, 41, 0 }, /* 167 */
    { 42, 42, 42, 0 }, /* 168 */
    { 42, 42, 42, 0 }, /* 169 */
    { 42, 42, 42, 0 }, /* 170 */
    { 42, 42, 42, 0 }, /* 171 */
    { 43, 43, 43, 0 }, /* 172 */
    { 43, 43, 43, 0 }, /* 173 */
    { 43, 43, 43, 0 }, /* 174 */
    { 43, 43, 43, 0 }, /* 175 */
    { 44, 44, 44, 0 }, /* 176 */
    { 44, 44, 44, 0 }, /* 177 */
    { 44, 44, 44, 0 }, /* 178 */
    { 44, 44, 44, 0 }, /* 179 */
    { 45, 45, 45, 0 }, /* 180 */
    { 45, 45, 45, 0 }, /* 181 */
    { 45, 45, 45, 0 }, /* 182 */
    { 45, 45, 45, 0 }, /* 183 */
    { 46, 46, 46, 0 }, /* 184 */
    { 46, 46, 46, 0 }, /* 185 */
    { 46, 46, 46, 0 }, /* 186 */
    { 46, 46, 46, 0 }, /* 187 */
    { 47, 47, 47, 0 }, /* 188 */
    { 47, 47, 47, 0 }, /* 189 */
    { 47, 47, 47, 0 }, /* 190 */
    { 47, 47, 47, 0 }, /* 191 */
    { 48, 48, 48, 0 }, /* 192 */
    { 48, 48, 48, 0 }, /* 193 */
    { 48, 48, 48, 0 }, /* 194 */
    { 48, 48, 48, 0 }, /* 195 */
    { 49, 49, 49, 0 }, /* 196 */
    { 49, 49, 49, 0 }, /* 197 */
    { 49, 49, 49, 0 }, /* 198 */
    { 49, 49, 49, 0 }, /* 199 */
    { 50, 50, 50, 0 }, /* 200 */
    { 50, 50, 50, 0 }, /* 201 */
    { 50, 50, 50, 0 }, /* 202 */
    { 50, 50, 50, 0 }, /* 203 */
    { 51, 51, 51, 0 }, /* 204 */
    { 51, 51, 51, 0 }, /* 205 */
    { 51, 51, 51, 0 }, /* 206 */
    { 51, 51, 51, 0 }, /* 207 */
    { 52, 52, 52, 0 }, /* 208 */
    { 52, 52, 52, 0 }, /* 209 */
    { 52, 52, 52, 0 }, /* 210 */
    { 52, 52, 52, 0 }, /* 211 */
    { 53, 53, 53, 0 }, /* 212 */
    { 53, 53, 53, 0 }, /* 213 */
    { 53, 53, 53, 0 }, /* 214 */
    { 53, 53, 53, 0 }, /* 215 */
    { 54, 54, 54, 0 }, /* 216 */
    { 54, 54, 54, 0 }, /* 217 */
    { 54, 54, 54, 0 }, /* 218 */
    { 54, 54, 54, 0 }, /* 219 */
    { 55, 55, 55, 0 }, /* 220 */
    { 55, 55, 55, 0 }, /* 221 */
    { 55, 55, 55, 0 }, /* 222 */
    { 55, 55, 55, 0 }, /* 223 */
    { 56, 56, 56, 0 }, /* 224 */
    { 56, 56, 56, 0 }, /* 225 */
    { 56, 56, 56, 0 }, /* 226 */
    { 56, 56, 56, 0 }, /* 227 */
    { 57, 57, 57, 0 }, /* 228 */
    { 57, 57, 57, 0 }, /* 229 */
    { 57, 57, 57, 0 }, /* 230 */
    { 57, 57, 57, 0 }, /* 231 */
    { 58, 58, 58, 0 }, /* 232 */
    { 58, 58, 58, 0 }, /* 233 */
    { 58, 58, 58, 0 }, /* 234 */
    { 58, 58, 58, 0 }, /* 235 */
    { 59, 59, 59, 0 }, /* 236 */
    { 59, 59, 59, 0 }, /* 237 */
    { 59, 59, 59, 0 }, /* 238 */
    { 59, 59, 59, 0 }, /* 239 */
    { 60, 60, 60, 0 }, /* 240 */
    { 60, 60, 60, 0 }, /* 241 */
    { 60, 60, 60, 0 }, /* 242 */
    { 60, 60, 60, 0 }, /* 243 */
    { 61, 61, 61, 0 }, /* 244 */
    { 61, 61, 61, 0 }, /* 245 */
    { 61, 61, 61, 0 }, /* 246 */
    { 61, 61, 61, 0 }, /* 247 */
    { 62, 62, 62, 0 }, /* 248 */
    { 62, 62, 62, 0 }, /* 249 */
    { 62, 62, 62, 0 }, /* 250 */
    { 62, 62, 62, 0 }, /* 251 */
    { 63, 63, 63, 0 }, /* 252 */
    { 63, 63, 63, 0 }, /* 253 */
    { 63, 63, 63, 0 }, /* 254 */
    { 63, 63, 63, 0 } /* 255 */
};



DATAFILE data[] = {
    { &loading, DAT_ID('B', 'M', 'P', ' '), 3246, loading_prop },
    { &loading_pal, DAT_ID('P', 'A', 'L', ' '), 1024, loading_pal_prop },
    { 0, DAT_END, 0, 0 }
};



#ifdef ALLEGRO_USE_CONSTRUCTOR
CONSTRUCTOR_FUNCTION(static void _construct_me(void));
static void _construct_me(void)
{
    _construct_datafile(data);
}
#endif



/* end of load.c */



